【解決済み】wordpress5.6でプラグイン「カスタムフィールドテンプレート」のdatepickerが動作しなくなった場合の対処

概要

※この問題はバージョン2.5.3にて修正されています。製作者様に感謝。

wordpress5.6でjQueryのバージョンが上がり、「カスタムフィールドテンプレート」で日付入力に使われているdatepickerが動作しなくなった。
エラーの原因は「jquery.bgiframe.js」のバージョンが古い事。
新しいのに差し替えたら動いた。

エラーメッセージ

表示されたエラーは以下

https://www.*****.*****/wp-content/plugins/custom-field-template/js/jquery.bgiframe.js: jQuery.browser is deprecated

新しいbgiframe.js

以下をダウンロードしてプラグインフォルダに上書きする。

bgiframe by Brandon Aaron
https://plugins.jquery.com/bgiframe/

October 20, 2013 Released

あ、新しい…。

そもそも古いIE対応するための代物らしいので、不要な人は切り離しても良いと思う。

備考

人様のプラグインに勝手に手を入れるのだから自己責任で行ってください。
プラグイン製作者様には敬意を持つべし。

コメントをどうぞ

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です